[API Reference](../README.md) > [SchemeWrapper](../interfaces/SchemeWrapper.md)



# Interface: SchemeWrapper

## Implemented by

* [GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)
* [GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)
* [SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)
* [UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)
* [VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)
* [VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)


## Methods
<a id="getDefaultPermissions"></a>

###  getDefaultPermissions

► **getDefaultPermissions**(): [SchemePermissions](../enums/SchemePermissions.md)



*Defined in [commonTypes.ts:92](https://github.com/daostack/arc.js/blob/77005d4/lib/commonTypes.ts#L92)*





**Returns:** [SchemePermissions](../enums/SchemePermissions.md)





___

<a id="getSchemeParameters"></a>

###  getSchemeParameters

► **getSchemeParameters**(avatarAddress: *[Address](../#Address)*): `Promise`.<`any`>



*Defined in [commonTypes.ts:91](https://github.com/daostack/arc.js/blob/77005d4/lib/commonTypes.ts#L91)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="getSchemePermissions"></a>

###  getSchemePermissions

► **getSchemePermissions**(avatarAddress: *[Address](../#Address)*): `Promise`.<[SchemePermissions](../enums/SchemePermissions.md)>



*Defined in [commonTypes.ts:93](https://github.com/daostack/arc.js/blob/77005d4/lib/commonTypes.ts#L93)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| avatarAddress | [Address](../#Address)   |  - |





**Returns:** `Promise`.<[SchemePermissions](../enums/SchemePermissions.md)>





___

<a id="setParameters"></a>

###  setParameters

► **setParameters**(params: *`any`*): `Promise`.<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)[Hash](../#Hash)>



*Defined in [commonTypes.ts:90](https://github.com/daostack/arc.js/blob/77005d4/lib/commonTypes.ts#L90)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| params | `any`   |  - |





**Returns:** `Promise`.<[ArcTransactionDataResult](../classes/ArcTransactionDataResult.md)[Hash](../#Hash)>





___


